﻿
using System.Windows.Documents;

namespace SecsTranslatorEditor.SecsLanguage.Manual
{
	internal interface ISecsLanguageSyntaxElement
	{
		/// <summary>
		/// Formats the provided Inline element.
		/// </summary>
		/// <param name="inline">The element that should be formatted.</param>
		/// <returns>The formatted Inline element.</returns>
		Inline FormatInline(Inline inline);

		/// <summary>
		/// Determines whether this element is the same as the provided one.
		/// </summary>
		/// <param name="element">The element that should be tested against.</param>
		/// <returns>Whether this element is the same as the provided or not.</returns>
		bool IsMatch(string element);
	}
}
